export { DeepLinker, provideDeepLinker } from './navigation/deep-linker';
export { NavController } from './navigation/nav-controller';
export { NavParams } from './navigation/nav-params';
export { NavLink, NavOptions, DeepLink, DeepLinkConfig } from './navigation/nav-util';
export { ViewController } from './navigation/view-controller';
export declare function ionicProviders(userRoot: any, userConfig?: any, userDeepLinkConfig?: any): any[];
export declare function getWindowUserAgent(): string;
export declare function getWindowPlatform(): string;
export declare function getWindowLocation(): string;
export declare function getDocumentDir(): string;
export declare function getDocumentLang(): string;
